import request from '@/config/axios'

// 查询（精简)列表
export const getAfterSaleList = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-after-sale/list', params })
}

// 查询（精简)列表
export const getAfterSalePage = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-after-sale/page', params })
}

// 新增
export const createAfterSale = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-after-sale/create', data })
}

// 审核
export const auditAfterSale = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-after-sale/check', data })
}

export const batchAuditAfterSale = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-after-sale/batch/check', data })
}

// 撤销
export const cancelApplyAfterSale = async (data) => {
  return await request.post({ url: '/admin-api/crm/sign-after-sale/revoke', params: data })
}

// 查询详情
export const getAfterSaleDetail = async (params) => {
  return await request.get({ url: '/admin-api/crm/sign-after-sale/get', params })
}
